using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace CloudGaming.DtoModel.PlayGame;


/// <summary>
/// 重连会话
/// </summary>
public class ReconPlayGameRequest : PlayGameCommonSetting
{
    public ReconPlayGameRequest() { }

    /// <summary>
    /// 显示等级，可在后台配置，默认为 1
    /// </summary>
    [JsonPropertyName("display_grade")]
    public int? DisplayGrade { get; set; } = 1; // 默认值为 1

    /// <summary>
    /// 设备型号
    /// </summary>
    [JsonPropertyName("model_name")]
    public string ModelName { get; set; }

    /// <summary>
    /// 芯片
    /// </summary>
    [JsonPropertyName("cpu")]
    public string Cpu { get; set; }
}
